%define		_status		beta
%define		_pearname	MDB2_Driver_pgsql
%define		subver	b4
%define		rel		1
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - pgsql MDB2 driver
Summary(pl.UTF-8):	%{_pearname} - sterownik pgsql dla MDB2
Name:		php-pear-%{_pearname}
Version:	1.5.0
Release:	0.%{subver}.%{rel}
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	0669e332feeda13bd0ea00ff0a45661a
URL:		http://pear.php.net/package/MDB2_Driver_pgsql/
BuildRequires:	php-pear-PEAR >= 1:1.9.1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.3.0
Requires:	php(pgsql)
Requires:	php-pear
Requires:	php-pear-MDB2 >= 1:2.5.0-0.b4
Obsoletes:	php-pear-MDB2_Driver_pgsql-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the PostgreSQL MDB2 driver.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Sterownik PostgreSQL dla MDB2.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/MDB2/Driver/Datatype/pgsql.php
%{php_pear_dir}/MDB2/Driver/Manager/pgsql.php
%{php_pear_dir}/MDB2/Driver/Native/pgsql.php
%{php_pear_dir}/MDB2/Driver/Reverse/pgsql.php
%{php_pear_dir}/MDB2/Driver/pgsql.php
%{php_pear_dir}/MDB2/Driver/Function/pgsql.php
%{php_pear_dir}/data/MDB2_Driver_pgsql
%changelog
* Wed Dec 19 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-MDB2_Driver_pgsql.git;a=log;h=master

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> a17da95
- updated to: 1.5.0-b4

* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> e978b50
- use php(core) for php engine version deps
- release 3 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> a4956d1
- use virtual php extension deps (to be independant of php version)
- release 3 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 0e05d9a
- tests are no longer installed - don't try to remove them

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> c7e30af
- update deps

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> eae4132
- up to 1.5.0b3

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 5d69ba7
- updated deps with pearize.sh
- release 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 6775e75
- up to 1.5.0b2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> c69ea5d
- rel 2

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> efd6b7a
- dropped %{epoch} from R: in tests subpackage

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> 0994714
- updated to 1.4.1; tests subpackage

* Thu Mar 01 2007 Elan Ruusamäe <glen@pld-linux.org> 875c2e2
- 1.3.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e134dcb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0632e72
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> 1532736
- rel 2: use php(extension) virtuals

* Mon Sep 04 2006 Adam Gołębiowski <adamg@pld-linux.org> dc7b887
- updated to 1.2.2

* Sat Sep 02 2006 Adam Gołębiowski <adamg@pld-linux.org> f283e43
- updated to 1.2.1

* Sun Aug 06 2006 Adam Gołębiowski <adamg@pld-linux.org> 4071221
- updated to 1.2.0

* Wed Jun 21 2006 Adam Gołębiowski <adamg@pld-linux.org> 117f2d8
- updated to 1.1.0

* Sat Jun 03 2006 Elan Ruusamäe <glen@pld-linux.org> 3f8d71e
- 1.0.3

